package com.bcxin.ars.dto.gx;

import javax.xml.bind.annotation.*;

/**
 * 广西公安互联网+平台推送流水号到业务办理系统返回对象
 * @author subh
 * @since jdk1.8
 */

/**
 * 属性才能被转换成xml中的标签
 */
@XmlAccessorType(XmlAccessType.FIELD)
/**
 * 指定根目录
 */
@XmlRootElement(name = "RESULT")
/***
 * XmlType 默认情况下，Jaxb编组出来的xml中的字段顺序是随机的，你可以使用@XmlType的propOrder属性
 */
@XmlType
public class IntegratedResponse {
    /**
     * 响应代码
     */
    @XmlElement(name = "STATUS")
    private String status;

    /***
     * 接口返回文字描述信息
     */
    @XmlElement(name = "DESC")
    private String desc;
    /***
     * 数据
     */
    @XmlElement(name = "DATA")
    private IntegratedData data;






    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public IntegratedData getData() {
        return data;
    }

    public void setData(IntegratedData data) {
        this.data = data;
    }
}
